server:
  port: 8080
  
spring:
  profiles:
    active: development
# RabbitMQ
  rabbitmq:
    host: rabbitmq
    port: 5672
    username: rabbitmq
    password: rabbitmq
# Database
  datasource:
    driver-class-name: org.postgresql.Driver
    url: jdbc:postgresql://postgresql:5432/postgres?createDatabaseIfNotExist=false
    username: postgres
    password: postgres@123
    testWhileIdle: true
    validationQuery: SELECT 1
    
# JPA properties
  jpa:
    hibernate:
      ddl-auto: update
    show-sql: true
    database: postgresql
    database-platform: org.hibernate.dialect.PostgreSQLDialect
    open-in-view: false
    generate-ddl: true
# Logger configuration
logging:
  pattern:
    console: "%date %level %message %n"
  level:
    org.springframework: INFO
    org.hibernate: ERROR
# Application configuration
app:
  document:
    contact:
      email: "apptize@gmail.com.br"
      name: Apptize
      url: "http://www.apptize.com.br/"
    description: Inventory of services 
    title: "Apptize- Services"
    version: "1.0.0"